%define upstream_name    Test-CheckDeps
%define upstream_version 0.010

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Check for presence of dependencies
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta::Check)

BuildArch:  noarch

%description
This module adds a test that assures all dependencies have been installed
properly. If requested, it can bail out all testing on error.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.10.0-7.mga6
+ Revision: 1034131
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.10.0-6.mga6
+ Revision: 948573
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.10.0-5.mga5
+ Revision: 788062
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-4.mga5
+ Revision: 750195
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.0-3.mga5
+ Revision: 686406
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.10.0-2.mga4
+ Revision: 540729
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 sander85 <sander85> 0.10.0-1.mga4
+ Revision: 494220
- update to 0.010

* Fri Sep 27 2013 sander85 <sander85> 0.8.0-1.mga4
+ Revision: 487335
- update to 0.008

* Wed Sep 25 2013 sander85 <sander85> 0.7.0-1.mga4
+ Revision: 485891
- update to 0.007

* Wed Jul 10 2013 sander85 <sander85> 0.6.0-1.mga4
+ Revision: 452641
- update to 0.006

* Mon Jun 10 2013 jquelin <jquelin> 0.4.0-1.mga4
+ Revision: 441783
- update to 0.004

* Sun Jan 13 2013 umeabot <umeabot> 0.2.0-2.mga3
+ Revision: 373392
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 05 2012 jquelin <jquelin> 0.2.0-1.mga3
+ Revision: 268023
- imported package perl-Test-CheckDeps


* Thu Jul 05 2012 cpan2dist 0.002-1mga
- initial mageia release, generated with cpan2dist
